import { IDMAPolicyEvaluatorApi } from "../apis/api.interfaces";
export declare class DMAPolicyEvaluatorApi implements IDMAPolicyEvaluatorApi {
    private _isWidgetsRestrictedDataSharingEnabled;
    private _isWidgetsRestrictedThirdPartyDataSharingEnabled;
    private _isWidgetsFirstPartyExperienceOptimizationEnabled;
    private _isWidgetsTaskbarAnnouncementsEnabled;
    private _isWidgetsTaskbarBadgesEnabled;
    isWidgetsRestrictedDataSharingEnabled(): Promise<boolean>;
    isWidgetsRestrictedThirdPartyDataSharingEnabled(): Promise<boolean>;
    isWidgetsFirstPartyExperienceOptimizationEnabled(): Promise<boolean>;
    isWidgetsTaskbarAnnouncementsEnabled(): Promise<boolean>;
    isWidgetsTaskbarBadgesEnabled(): Promise<boolean>;
}
